Hi,

I am trying to install gtk+-2.16.5 from sources under openSuse-11.0,
(before installing unstable GIMP for UI translation).
"Configure" gives no error message.
Running "make" gives this error:

make[3]: going into directory « /home/.../telechar/gtk+-2.16.5/gtk »
/bin/sh ../libtool --mode=link gcc -DGDK_PIXBUF_DISABLE_DEPRECATED -g
-O2 -Wall -o gtk-query-immodules-2.0 queryimmodules.o libgtk-x11-2.0.la
../gdk-pixbuf/libgdk_pixbuf-2.0.la ../gdk/libgdk-x11-2.0.la
libtool: link: gcc -DGDK_PIXBUF_DISABLE_DEPRECATED -g -O2 -Wall -o
.libs/gtk-query-immodules-2.0 queryimmodules.o ./.libs/libgtk-x11-2.0.so
-L/usr/local/lib
/home/.../telechar/gtk+-2.16.5/gdk/.libs/libgdk-x11-2.0.so
/usr/lib/libatk-1.0.so /usr/lib/libgobject-2.0.so
/usr/lib/libgmodule-2.0.so /usr/lib/libglib-2.0.so -lpcre -lpangoft2-1.0
../gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so ../gdk/.libs/libgdk-x11-2.0.so
-lpangocairo-1.0 -lpango-1.0 /usr/lib/libXinerama.so
/usr/lib/libXcursor.so /usr/lib/libXcomposite.so /usr/lib/libXext.so
/usr/lib/libXdamage.so /usr/lib/libXfixes.so /usr/lib/libcairo.so
/usr/lib/libfontconfig.so /usr/lib/libfreetype.so -lexpat
/usr/lib/libglitz.so /usr/lib/libpng12.so -lz
/usr/lib/libxcb-render-util.so /usr/lib/libxcb-render.so
/usr/lib/libXrender.so /usr/lib/libpixman-1.so /usr/lib/libX11.so
/usr/lib/libxcb-xlib.so /usr/lib/libxcb.so -lXau
/home/.../telechar/gtk+-2.16.5/gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so
/usr/local/lib/libgio-2.0.so /usr/local/lib/libgobject-2.0.so
/usr/local/lib/libgmodule-2.0.so -ldl /usr/local/lib/libglib-2.0.so -lm
./.libs/libgtk-x11-2.0.so: undefined reference to
`g_signal_chain_from_overridden_handler'
/usr/local/lib/libgio-2.0.so: undefined reference to `g_poll'
./.libs/libgtk-x11-2.0.so: undefined reference to
`g_signal_override_class_handler'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_dpgettext2'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_set_error_literal'
./.libs/libgtk-x11-2.0.so: undefined reference to
`g_signal_new_class_handler'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_dgettext'
collect2: ld returned 1 exit status
make[3]: *** [gtk-query-immodules-2.0] Error 1

I can't find how to resolve this problem.
I'd be grateful for any help.


_______________________________________________
Gimp-user mailing list
Gimp-user@lists.XCF.Berkeley.EDU
https://lists.XCF.Berkeley.EDU/mailman/listinfo/gimp-user

Reply via email to